#
# spec file for package mpi-selector
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           mpi-selector
Url:            http://www.openfabrics.org
Summary:        Tool to provide defaults for which MPI implementation to use
Version:        1.0.3
Release:        14.2
License:        BSD-3-Clause
Group:          System/Console
Source:         http://www.openfabrics.org/downloads/mpi-selector/%{name}-%{version}.tar.gz
Patch3:         mpi-selector-perl_path.patch
Patch4:         mpi-selector-no_bang_line.patch
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  automake autoconf libtool
%{perl_requires}

%description
A simple tool that allows system administrators to set a site-wide
default for which MPI implementation is to be used, but also allow
users to set their own defaults MPI implementation, thereby overriding
the site-wide default.

The default can be changed easily via the mpi-selector command --
editing of shell startup files is not required.

%prep
%setup -q 
%patch3
%patch4

%build
%configure --with-shell-startup-dir=/etc/profile.d
make

%install
make DESTDIR=%{buildroot} install

%files
%defattr(-, root, root, -)
%doc README LICENSE
%{_bindir}/mpi-selector
%{_bindir}/mpi-selector-menu
%{_mandir}/man1/mpi-selector.*
%{_mandir}/man1/mpi-selector-menu.*
%config %attr(644,root,root) /etc/profile.d/*

%changelog
* Tue Jun  3 2014 pth@suse.de
- Update to OFED 3.12 final.
* Fri Jan 24 2014 pth@suse.de
- Update to OFED 3.12 daily
* Wed Apr 24 2013 pth@suse.de
- Don't use a macro for calling 'make install' as it changes
  between distributions.
* Tue Apr 16 2013 idonmez@suse.com
- Add Source URL, see https://en.opensuse.org/SourceUrls
* Tue May  8 2012 pth@suse.de
- BuildRequire automake, autoconf and libtool.
* Thu Feb 16 2012 saschpe@suse.de
- No need to own %%{_libdir}/mpi/gcc/, so package can be noarch
- Mark stuff under /etc/profile.d as config and remove rpmlintrc
* Mon Feb 13 2012 coolo@suse.com
- patch license to follow spdx.org standard
* Fri Dec 10 2010 pth@suse.de
- Fix use of perl_requires.
- Remove hash bang lines from files to be sourced.
- Add a rpmlintrc.
* Wed Jun  2 2010 pth@suse.de
- Explicitely use /usr/bin/perl not 'env perl', mainly so that
  rpm automatically detects the dependency.
* Thu Dec  3 2009 jjolly@suse.de
- Update to v1.0.3 from OFED 1.4.2
* Fri Oct 24 2008 jjolly@suse.de
- Updated to version from the OFED 1.4 RC3
* Thu Sep 11 2008 jjolly@suse.de
- Updated to version 1.0.2 from the OFED 1.4 RC1 release
* Tue Aug 21 2007 kejohnson@suse.de
- Updated source tarball to OFED-1.2.5 release.
- In the spec file, removed autogen.sh from %%build and also
  removed ofed-mpi-selector-proposal.txt from %%doc.
* Fri Jul  6 2007 hvogel@suse.de
- Initial Package, Version 1.0.0
